Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::LocalSCMatrixKit Class Reference

The LocalSCMatrixKit produces matrices that work in a single processor environment. More...

`#include <local.h>`

Inheritance diagram for sc::LocalSCMatrixKit:

[legend]
Collaboration diagram for sc::LocalSCMatrixKit:

[legend]
List of all members.

## Public Methods

| LocalSCMatrixKit ()
| LocalSCMatrixKit (const Ref< KeyVal > &)
| ~LocalSCMatrixKit ()
SCMatrix * | matrix (const RefSCDimension &, const RefSCDimension &)
| Given the dimensions, create matrices or vectors.
SymmSCMatrix * | symmmatrix (const RefSCDimension &)
DiagSCMatrix * | diagmatrix (const RefSCDimension &)
SCVector * | vector (const RefSCDimension &)

## Detailed Description

The LocalSCMatrixKit produces matrices that work in a single processor environment.

The documentation for this class was generated from the following file:

- local.h